Package org.flowable.cmmn.api.runtime

# Interface PlanItemInstanceState

public interface PlanItemInstanceState

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ACTIVE`
  `static final Set<String>`
  `ACTIVE_STATES`
  `static final String`
  `ASYNC_ACTIVE`
  `static final String`
  `ASYNC_ACTIVE_LEAVE`
  Non-spec state, indicating the plan item instance is scheduled to move from active to a terminal state asynchronously.
  `static final String`
  `AVAILABLE`
  `static final String`
  `COMPLETED`
  `static final String`
  `DISABLED`
  `static final String`
  `ENABLED`
  `static final Set<String>`
  `END_STATES`
  `static final Set<String>`
  `EVALUATE_ENTRY_CRITERIA_STATES`
  `static final Set<String>`
  `EVALUATE_STATES`
  `static final String`
  `FAILED`
  `static final Set<String>`
  `INTERMEDIARY_STATES`
  `static final String`
  `SUSPENDED`
  `static final Set<String>`
  `TERMINAL_STATES`
  `static final String`
  `TERMINATED`
  `static final String`
  `UNAVAILABLE`
  Non-spec state, only possible for event listeners.
  `static final String`
  `WAITING_FOR_REPETITION`

- ## Method Summary

  Static Methods
  Modifier and Type
  Method
  Description
  `static boolean`
  `isInTerminalState(PlanItemInstance planItemInstance)`

- ## Field Details

  - ### ACTIVE

    static final String ACTIVE
    See Also:
      - Constant Field Values

  - ### AVAILABLE

    static final String AVAILABLE
    See Also:
      - Constant Field Values

  - ### ENABLED

    static final String ENABLED
    See Also:
      - Constant Field Values

  - ### DISABLED

    static final String DISABLED
    See Also:
      - Constant Field Values

  - ### COMPLETED

    static final String COMPLETED
    See Also:
      - Constant Field Values

  - ### FAILED

    static final String FAILED
    See Also:
      - Constant Field Values

  - ### SUSPENDED

    static final String SUSPENDED
    See Also:
      - Constant Field Values

  - ### TERMINATED

    static final String TERMINATED
    See Also:
      - Constant Field Values

  - ### UNAVAILABLE

    static final String UNAVAILABLE
    Non-spec state, only possible for event listeners. Indicates the event listener was created, but it didn't yet moved to available. This could be for example because there is an 'available condition' that stops it from moving to that state.
    See Also:
      - Constant Field Values

  - ### WAITING_FOR_REPETITION

    static final String WAITING_FOR_REPETITION
    See Also:
      - Constant Field Values

  - ### ASYNC_ACTIVE

    static final String ASYNC_ACTIVE
    See Also:
      - Constant Field Values

  - ### ASYNC_ACTIVE_LEAVE

    static final String ASYNC_ACTIVE_LEAVE
    Non-spec state, indicating the plan item instance is scheduled to move from active to a terminal state asynchronously.
    See Also:
      - Constant Field Values

  - ### ACTIVE_STATES

    static final Set<String> ACTIVE_STATES

  - ### INTERMEDIARY_STATES

    static final Set<String> INTERMEDIARY_STATES

  - ### EVALUATE_ENTRY_CRITERIA_STATES

    static final Set<String> EVALUATE_ENTRY_CRITERIA_STATES

  - ### EVALUATE_STATES

    static final Set<String> EVALUATE_STATES

  - ### TERMINAL_STATES

    static final Set<String> TERMINAL_STATES

  - ### END_STATES

    static final Set<String> END_STATES

- ## Method Details

  - ### isInTerminalState

    static boolean isInTerminalState(PlanItemInstance planItemInstance)